org.apache.cassandra.db

## Class PartitionPosition.ForKey

- java.lang.Object
- - org.apache.cassandra.db.PartitionPosition.ForKey

Enclosing interface:
  PartitionPosition

    public static final class PartitionPosition.ForKey
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`ForKey()`

### Method Summary

All Methods Static Methods Concrete Methods
`static PartitionPosition` `get(java.nio.ByteBuffer key, IPartitioner p)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForKey

    public ForKey()

### Method Detail

#### get

    public static PartitionPosition get(java.nio.ByteBuffer key,
                                        IPartitioner p)